{ Copyright(c) SPb-IFMO CTD Developers, 2000 }

{ $Id: ncmp.dpr,v 1.1 2001/11/14 15:21:55 sta Exp $ }


program ncmp;

uses
  testlib, sysutils;


var
  j, p: string;  
  n: longint;
// inf - input
// ouf - ответ участника
// ans - ответ жюри
begin
  n := 0;
  while not ans.seekeof do
  begin
    inc(n);
    j := ans.readword(NumberBefore,NumberAfter);
    p := ouf.readword(NumberBefore,NumberAfter);
    if j <> p then
      quit(_wa, inttostr(n) ' numbers differ - expected: "' + j + 
        '", found: "' + p + '"');

  end;
  quit(_ok, inttostr(n) + ' numbers');
end.
